﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Kühlschrank
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Gerät kühlschrank = new Gerät();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Artikel a = new Artikel("Salat", new DateTime(2013, 4, 18));
            Artikel b = new Artikel("Butter", 30);
            Gerät g = new Gerät();
            g.LegHinein(a);
            g.LegHinein(b);
            for (int i = 0; i < 50; i++)
            {
                g.LegHinein(new Artikel("Salat", 3));
            }

            if (g.IstVoll())
            {
                MessageBox.Show("Voll!");
            }

            int abg = g.ZähleAbgelaufeneArtikel();
            MessageBox.Show("" + abg);
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            kühlschrank.LegHinein(new Artikel("Gurke", 7));
            ausgabe.Text = kühlschrank.GibInhaltAlsZeichenkette();
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            kühlschrank.LegHinein(new Artikel("Milch", 30));
            ausgabe.Text = kühlschrank.GibInhaltAlsZeichenkette();
        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
            kühlschrank.LegHinein(new Artikel("Butter", 50));
            ausgabe.Text = kühlschrank.GibInhaltAlsZeichenkette();
        }
    }
}
